# an2linux

[an2linux](https://github.com/rootkiwi/an2linuxserver) - mirror your android notifications on the linux desktop

This module enables the bluetooth server portion of an2linuxserver, while disabling the wi-fi server.
Since these dotfiles are currently primarily running on a laptop, bluetooth is the easiest connection to make.
In order for bluetooth to work on archlinux, you will have to follow the set-up on the [archlinux wiki](https://wiki.archlinux.org/index.php/Bluetooth), as well as on the [`an2linux`](https://github.com/rootkiwi/an2linuxserver) github page.

If the [services](/services) module is also enabled, `an2linux` will automatically start up on boot.
This is usually desirable,
but for initial pairing you will have to manually shut down the service and run the server manually with `an2linuxserver.py`.
The initial pairing needs interactive inputs and can not be done automatically -- once that is done, you can restart the service and everything should work perfectly.
