 " PLUGIN: ALE
:scriptencoding utf-8
" clearer Error and warning signs for the gutter
let g:ale_sign_error = ''
let g:ale_sign_warning = ''

let g:ale_fix_on_save = 1
let g:ale_fixers = {
      \ 'javascript': ['prettier'],
      \ 'html': ['prettier'],
      \ 'typescript': ['prettier','tslint'],
      \ '*': ['remove_trailing_lines', 'trim_whitespace'],
      \ 'go': ['gofmt'],
      \ 'sh': ['shfmt'],
      \ 'zsh': ['shfmt'],
      \ 'python': ['black', 'isort'],
      \}
let g:ale_linters = {
      \ 'go': ['gopls'],
      \ 'sh': ['language_server','shellcheck'],
      \ 'zsh': ['language_server','shellcheck'],
      \ 'html': ['prettier'],
      \ 'python': ['pylint'],
      \}

let g:ale_javascript_prettier_use_local_config = 1

" Enable integration with airline.
if exists('g:airline_theme')
  let g:airline#extensions#ale#enabled = 1
endif
