function! s:fzfSpellSink(word)
  exe 'normal! "_ciw'.a:word
endfunction
function! FzfSpell()
  let l:spellstatus = &spell
  setlocal spell
  let suggestions = spellsuggest(expand("<cword>"))
  if l:spellstatus
  return fzf#run({'source': suggestions, 'sink': function("s:fzfSpellSink"), 'right': "20%" })

endfunction

command FzfSpellSuggest :call FzfSpell()<CR>
