# e-mail module

[aerc](https://aerc-mail.org/) - terminal mail client
[isync](https://isync.sourceforge.io/mbsync.html) - mirror your Imapped mail directory locally with two way synchronization
[notmuch](https://notmuchmail.org/) - index and search your mail

The current mail setup uses `mbsync` (from the isync project) to locally mirror the GMail imap folder.
It, as of now, needs to be manually run by invoking `mbsync gmail` -- which expects your username and password to reside in a [`pass`](/pass) accessible file called `misc/aerc-gmail-app-password`.
In other words --- this is very specific to my setup and if transferring the options, please customize to your needs.

Then, `notmuch` can be run on the local maildir to generate and indexed full-text search engine.
Right now, `notmuch` can only be used through its cli, it is not yet connected to `aerc`.

`aerc` picks up the maildir created by `mbsync` in `~/documents/mail` and works on it.
`mbsync` syncs any changes made back to the remote imap directory.
