" PROSE: function to automatically enables markdown plugins for md & txt files
function! s:Prose()
  call plug#load('goyo.vim')
  call plug#load('limelight.vim')
  " PLUGIN: vim-textobj-sentence
  " enable extended sentence textobject use on md and plaintext files
  call textobj#sentence#init()
  " hide the markdown cruft
  setlocal conceallevel=2
  setlocal foldlevel=3
endfunction

" invoke it manually by writing :Prose
" or, it will get automatically sourced for certain filetypes in
" after/ftplugin directory
command! -nargs=0 Prose call s:Prose()
